GNU bug report logs - #44249
[PATCH] gnu: emacs: Make strip-double-wrap more robust

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Morgan.J.Smith@HIDDEN; Keywords: patch; dated Tue, 27 Oct 2020 02:18:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 44249 <at> debbugs.gnu.org:


Received: (at 44249) by debbugs.gnu.org; 15 Jan 2021 19:49:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 15 14:49:28 2021
Received: from localhost ([127.0.0.1]:41779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l0V68-0004fN-4c
	for submit <at> debbugs.gnu.org; Fri, 15 Jan 2021 14:49:28 -0500
Received: from mail-bn7nam10olkn2056.outbound.protection.outlook.com
 ([40.92.40.56]:33760 helo=NAM10-BN7-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1l0V64-0004f6-CP
 for 44249 <at> debbugs.gnu.org; Fri, 15 Jan 2021 14:49:27 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=O35Og1s8qx7mIdTFJiMog54JRz36HB5ZStmnnAaSbGirDXwkL5PostIftAqYhDCMqh2qjrAi1uU6elTfjqZb8aCvKPBY10mZ2A7drNfp/1LM9dqZJLNeKB1ibDyC8kt9NkCq9XJ64b+PydEujZ8urCR+0uFCgcn7cBQnzWJ0+egn4zU7Bs+v7AmwVJVFO7p+uZ9qZjYXLjX87eZZAiSDYASEkyTzGY2brY3LgPCfGG4Vtk1Iadv3C0xrP+FoksIZ42j/4/fJu3HJvRX6EZXQl2/m3V5A8XS2KhlqHqXiVdClu8UfV5pibPlUfFiOEsIJCZoAaKKHnjldzgeyiGOQ1Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=6W4G3X5TENhiNemjKwz2me6ZHjg7GtgOQ4A0Lp0/wnc=;
 b=hfYtpM5gq8NXqifJXbNuz5NzJpCDOYd+tczBn1vLVwfvxQOaZgJBdeZNIZBl62RdZsAcyJUxgNNE3EJE1jzuRulGFsspoowO9RawUJp66NSPQU8nTtBxheFDcOKAQUnYn6NKJ50kvSilsRn/M505N/5fmVYPz2sDLx/X5SOjVvXBooZAj+46Hwb5YmNztGj3wxgCqoKw5jBDoHdrQcWg231s21ccfPfskvtcHki5x/EmB249Fyn3gSC30xIvhef1CKkhM/qzDn3QEJDnpLlGG/dTva5VL0F3Hp1Fp+ZlNZk4AnX+pPTh7AAlfVvY0tKCAAhQxhAKncooFiB4zKF/dA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=6W4G3X5TENhiNemjKwz2me6ZHjg7GtgOQ4A0Lp0/wnc=;
 b=PYEoDRHYAUM5juRdXQWMKm7zK6RFjV6N52EGzuLJg19wGVR5j7TnFHO5nEIuIB2erBMXGrb07hjjSLjsyjVhpCQcpBH697bu1ETIz9ofeVePvzCiJSLA3o9YmENwcfS3FZyk5KAMrIHbKnohRceNRkkeF+nC9u1lphXKKnJP0qiW6sfdcAt2ZxgIPRUvSbbWPr/XhysjpaYP9nIiYcKMWmsw9KZNoJjFoBv9g8lJkErdm/RpXFpNkOzM87ZX4ZUyhmX6uwdpOxXgv4yPEVwRPNcbiURGo3ANVLTh043pqXeeC3FnsHGHhnznsa5ZOVuYiGt6sT1931GhrV+epWGSkg==
Received: from DM6NAM10FT014.eop-nam10.prod.protection.outlook.com
 (2a01:111:e400:7e86::45) by
 DM6NAM10HT015.eop-nam10.prod.protection.outlook.com (2a01:111:e400:7e86::84)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3763.12; Fri, 15 Jan
 2021 19:49:18 +0000
Received: from MWHPR0801MB3675.namprd08.prod.outlook.com
 (2a01:111:e400:7e86::4a) by DM6NAM10FT014.mail.protection.outlook.com
 (2a01:111:e400:7e86::281) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3763.12 via Frontend
 Transport; Fri, 15 Jan 2021 19:49:18 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:870DAD861EFE1E59815EDE7E773FAFF2450E18D8BDB3B4D2F7B26E8A3D8A5182;
 UpperCasedChecksum:1919D1392E1D883809F1D6C53DA835ECDB62C02C221CB304241C32995052FFA8;
 SizeAsReceived:8840; Count:48
Received: from MWHPR0801MB3675.namprd08.prod.outlook.com
 ([fe80::b060:e3df:1e35:f237]) by MWHPR0801MB3675.namprd08.prod.outlook.com
 ([fe80::b060:e3df:1e35:f237%7]) with mapi id 15.20.3742.013; Fri, 15 Jan 2021
 19:49:18 +0000
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <DM5PR1001MB21059362E2A281295A7FA2B2C5160@HIDDEN>
 <DM5PR1001MB2105208A37F6D9141D01B0C8C5EF0@HIDDEN>
 <874kjiz5vp.fsf_-_@HIDDEN>
From: Morgan Smith <Morgan.J.Smith@HIDDEN>
Subject: Re: bug#44249: [PATCH] gnu: emacs: Make strip-double-wrap more robust
Message-ID: <MWHPR0801MB36758C2C15729A54EB8409CEC5A70@HIDDEN>
Date: Fri, 15 Jan 2021 14:49:15 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Icedove/78.6.0
In-Reply-To: <874kjiz5vp.fsf_-_@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-TMN: [1N5Efk35nlj6tMnap5ojwlPppunoEd2W]
X-ClientProxiedBy: YTOPR0101CA0064.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:b00:14::41) To MWHPR0801MB3675.namprd08.prod.outlook.com
 (2603:10b6:301:7c::24)
X-Microsoft-Original-Message-ID: <b96c69db-9534-62a4-7cf7-ae11583c5997@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from [192.168.2.37] (70.30.20.141) by
 YTOPR0101CA0064.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:b00:14::41) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3763.9 via Frontend
 Transport; Fri, 15 Jan 2021 19:49:17 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 48
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 29475bb9-87d1-458c-b029-08d8b98ea4ff
X-MS-TrafficTypeDiagnostic: DM6NAM10HT015:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: qa7fVV64o6jvRTXK+rkQn/3efGY3ZkYr+IbyoGtOuk8923RstEshBd/p3Vi3GBalvNRFsZwAoO9ZD5a3Qc3svG4DcZTDfwRxteZhWxo2Jr6d9dYkl7jI1namTWqWVOw2AcFKtJFhwHQQb1Jurifp/v2ijfyUCdyESnIos8oeBPpWg6EuD3Aow3n3KUJx3fJ3I5JQoN7bz251DCpU18LEYpetU6Mi+QVQUOGkmMpA26M33R2fy8e3A6W0O+HmSaXE
X-MS-Exchange-AntiSpam-MessageData: vFDNfX8izYO5uFjmStH4uwvE9XLJoYsLbYFDvzPsLkGpkYxyzQgAHk05j7N5h7ib9wylrxi5cEWzVG0Gc64rZnCTt7aGTEekhcMynOTAIWQVGXc90oKcFmGfAkRSG9h9xUbyfY8chaGNB3sBL1RZeg==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 29475bb9-87d1-458c-b029-08d8b98ea4ff
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 15 Jan 2021 19:49:18.1008 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: DM6NAM10FT014.eop-nam10.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM6NAM10HT015
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I've actually been sorta half working on this for a while
 now. The problem is exactly that the modules field is inherited. See each
 build system includes its own module in the modules field. The various emacsen
 are built with different build systems. So emacs is [...] 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.40.56 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.40.56 listed in wl.mailspike.net]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (morgan.j.smith[at]outlook.com)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 MSGID_FROM_MTA_HEADER  Message-Id was added by a relay
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
 1.6 FORGED_MUA_MOZILLA     Forged mail pretending to be from Mozilla
X-Debbugs-Envelope-To: 44249
Cc: 44249 <at> debbugs.gnu.org, mail@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

I've actually been sorta half working on this for a while now.

The problem is exactly that the modules field is inherited. See each
build system includes its own module in the modules field. The various
emacsen are built with different build systems. So emacs is going to
need to import (guix build glib-or-gtk-build-system) and emacs-minimal
is going to want (guix build gnu-build-system). By setting the modules
to be the glib-or-gtk-build-system, we override the default modules in
each inherited package. This means building emacs-minimal would result
in this error:

no code for module (guix build glib-or-gtk-build-system)

I'm not entirely certain why it worked for you but it looks like maybe
you included the gnu-build system instead of the glib-or-gtk-build-system.

I think to solve this issue proper, we need to come up with a way to use
%default-modules. Currently this variable isn't usable in this context,
but as gnu/packages/code.scm:791 says: ";; FIXME use %default-modules"




Information forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.

Message received at 44249 <at> debbugs.gnu.org:


Received: (at 44249) by debbugs.gnu.org; 15 Jan 2021 13:28:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 15 08:28:37 2021
Received: from localhost ([127.0.0.1]:40136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l0P9Y-0001Pa-Pf
	for submit <at> debbugs.gnu.org; Fri, 15 Jan 2021 08:28:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1l0P9Y-0001PO-6D
 for 44249 <at> debbugs.gnu.org; Fri, 15 Jan 2021 08:28:36 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57424)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1l0P9R-0005n6-FK; Fri, 15 Jan 2021 08:28:29 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=39196 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1l0P9P-0008DS-TB; Fri, 15 Jan 2021 08:28:29 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Morgan.J.Smith@HIDDEN
Subject: Re: bug#44249: [PATCH] gnu: emacs: Make strip-double-wrap more robust
References: <DM5PR1001MB21059362E2A281295A7FA2B2C5160@HIDDEN>
 <DM5PR1001MB2105208A37F6D9141D01B0C8C5EF0@HIDDEN>
Date: Fri, 15 Jan 2021 14:28:26 +0100
In-Reply-To: <DM5PR1001MB2105208A37F6D9141D01B0C8C5EF0@HIDDEN>
 (Morgan J. Smith's message of "Wed, 4 Nov 2020 14:47:13 -0500")
Message-ID: <874kjiz5vp.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44249
Cc: 44249 <at> debbugs.gnu.org, mail@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Morgan,

Morgan.J.Smith@HIDDEN skribis:

> From: Morgan Smith <Morgan.J.Smith@HIDDEN>
>
> * gnu/packages/emacs.scm (emacs) [strip-double-wrap]: Use regex to find e=
macs
> executable.  This works even when the version is changed by package
> transformations (e.g., version=3Dgit.master).

[...]

>               (with-directory-excursion (assoc-ref outputs "out")
> -               (copy-file (string-append
> -                           "bin/emacs-"
> -                           ,(let ((this-version (package-version this-pa=
ckage)))
> -                              (or (false-if-exception
> -                                   (version-major+minor+point this-versi=
on))
> -                                  (version-major+minor this-version))))
> -                          "bin/emacs")
> +               (copy-file
> +                (match (find-files "bin" "^emacs-")
> +                  ((executable . _) executable))

If we assume there should be just one =E2=80=9C^emacs-=E2=80=9D executable,=
 you can
change the match clause to reflect it:

  (match (find-files "bin" "^emacs-")
    ((executable) executable))

To be even more defensive, you could refine the regexp to
=E2=80=9C^emacs-[0-9]=E2=80=9D.

> +                "bin/emacs")

[...]

> +       ((#:modules modules)
> +        `((guix build gnu-build-system)
> +          (guix build utils)
> +          (ice-9 match)))))

Unless I=E2=80=99m missing something, you don=E2=80=99t need to repeat #:mo=
dules in
every variant: the =E2=80=98arguments=E2=80=99 field is inherited by those =
variants, and
that includes #:modules.

You can check easily that re-adding #:modules has no effect by checking
the output of, say:

  ./pre-inst-env guix build emacs-xwidgets -d --no-grafts

before and after removing the ((#:modules modules) =E2=80=A6) bit.

Could you send an updated patch?

This is the last missing bit before one can run things like:

  guix install emacs-next --with-branch=3Demacs-next=3Dmaster

:-)

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.

Message received at 44249 <at> debbugs.gnu.org:


Received: (at 44249) by debbugs.gnu.org; 7 Nov 2020 20:49:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 07 15:49:01 2020
Received: from localhost ([127.0.0.1]:59327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kbV8v-000099-24
	for submit <at> debbugs.gnu.org; Sat, 07 Nov 2020 15:49:01 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1kbV8t-00008v-0g
 for 44249 <at> debbugs.gnu.org; Sat, 07 Nov 2020 15:48:59 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36965)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1kbV8m-0008Ct-53; Sat, 07 Nov 2020 15:48:52 -0500
Received: from host-37-191-236-253.lynet.no ([37.191.236.253]:33914
 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1kbV8l-0005S1-ME; Sat, 07 Nov 2020 15:48:51 -0500
From: Marius Bakke <marius@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>, Morgan.J.Smith@HIDDEN
Subject: Re: [bug#44249] [PATCH v3] gnu: emacs: Make strip-double-wrap more
 robust.
In-Reply-To: <875z6jl9hs.fsf@HIDDEN>
References: <DM5PR1001MB2105208A37F6D9141D01B0C8C5EF0@HIDDEN>
 <875z6jl9hs.fsf@HIDDEN>
Date: Sat, 07 Nov 2020 21:48:49 +0100
Message-ID: <878sbchozy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44249
Cc: 44249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Nicolas Goaziou <mail@HIDDEN> writes:

> Hello,
>
>> (Can you reopen this bug report please?)
>
> I think you need to open a new one.
>
>> So I see 3 possible solutions:
>> 1. Accept my first patch and give up on match
>> 2. Accept this patch and modify almost every emacs varient (I did test building them all)
>> 3. Figure out some proper module inheritence
>>
>> I think option 3 is the most correct, but I'm lazy so I'm leaning
>> towards option 1.
>
> I think I cannot help you, as I'm not sure about how module inheritance
> is handled. Maybe someone else can chime in.

I haven't followed the discussion in detail, but from skimming through
the thread, is it just about adding (ice-9 match) to the build system
modules?

In that case I think

  #:modules ((ice-9 match) ,@%glib-or-gtk-build-system-modules)

...should do the trick.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFDBAEBCgAtFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl+nCDEPHG1hcml1c0Bn
bnUub3JnAAoJEKKgbfKjOlT64L0IALmRyXKPtCsb0SMChOB1s2PHTtBmyierAqvE
D8wx2oAAOcJRl+J1mQq1JkjOlOOWbdAtBmwQob6qPVcAoBv1u64/P6Q3zjPlpLyP
N8umotxtfom+5ugcRn6j//YIY8vKu+NpFFTRK2H6I3uFYPjioVei/AItf98YQfvG
w9BBdmbEkfeJQlybQIoz6Evoaf9tKCRyaVQj5FCR7zjW71uN90ty/Akuw1P1ILeH
AVYOrxA8aoa+gcNVRpHRwaTt8YsWWTo8MeEVMuF9ZPJACvimA3pdE/dDkh+ktF7e
8vKvKNQ2QTLgHvfbfXRSa0ab2lDhALugEmAibz3z7VwXu6c1Uj8=
=ewtP
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 44249 <at> debbugs.gnu.org:


Received: (at 44249) by debbugs.gnu.org; 5 Nov 2020 22:33:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 05 17:33:28 2020
Received: from localhost ([127.0.0.1]:54400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kanot-0004Px-US
	for submit <at> debbugs.gnu.org; Thu, 05 Nov 2020 17:33:28 -0500
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:36947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kanos-0004Pk-EX
 for 44249 <at> debbugs.gnu.org; Thu, 05 Nov 2020 17:33:26 -0500
X-Originating-IP: 185.131.40.67
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 97CC5C0009;
 Thu,  5 Nov 2020 22:33:20 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Morgan.J.Smith@HIDDEN
Subject: Re: [PATCH v3] gnu: emacs: Make strip-double-wrap more robust.
References: <DM5PR1001MB2105208A37F6D9141D01B0C8C5EF0@HIDDEN>
Date: Thu, 05 Nov 2020 23:33:19 +0100
In-Reply-To: <DM5PR1001MB2105208A37F6D9141D01B0C8C5EF0@HIDDEN>
 (Morgan J. Smith's message of "Wed, 4 Nov 2020 14:47:13 -0500")
Message-ID: <875z6jl9hs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44249
Cc: 44249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

> (Can you reopen this bug report please?)

I think you need to open a new one.

> So I see 3 possible solutions:
> 1. Accept my first patch and give up on match
> 2. Accept this patch and modify almost every emacs varient (I did test building them all)
> 3. Figure out some proper module inheritence
>
> I think option 3 is the most correct, but I'm lazy so I'm leaning
> towards option 1.

I think I cannot help you, as I'm not sure about how module inheritance
is handled. Maybe someone else can chime in.

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.

Message received at 44249 <at> debbugs.gnu.org:


Received: (at 44249) by debbugs.gnu.org; 4 Nov 2020 19:50:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 04 14:50:47 2020
Received: from localhost ([127.0.0.1]:50647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kaOnu-0005Yx-RC
	for submit <at> debbugs.gnu.org; Wed, 04 Nov 2020 14:50:47 -0500
Received: from mail-mw2nam12olkn2057.outbound.protection.outlook.com
 ([40.92.23.57]:52801 helo=NAM12-MW2-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1kaOnq-0005Yh-KZ
 for 44249 <at> debbugs.gnu.org; Wed, 04 Nov 2020 14:50:44 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Lv2O8/94s3Vt/+4POz6CwqKVKzpIKVU91dCd9LTM3mqZ+x8Xo8Ik+lBhPY9VXfMkFuHL/EYUlbmO7HYtxq7mgsP3npWJLHtrNGltLNGkQgSztMXS1BZlb9qUtAkFn0Noi09czpkU4Z3CTWGE/qu2Fzaauo8c0yaJLtiLw8r72ATCi+0dU/4yzQaanKiFS4ZQbUi7/aTsUq4K975kmjdu+NI//8pzounES0w16Zxl39dnvCq6YTz4ujtvNZsEGO/G/F1/2j0v6TyO4sF2pKeXJI1bLHdal5+1VzmDGn4hQMbi9iCHzAGvPdYnXZ3YiEE4dbijr4iGo75GIDCi12OhcA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Cs0X7h10JxnrtcXdX5b3T+M5guJSFgLmBmX+2hObiTc=;
 b=VMcfgvaAg8R9RpZPrCmcgXd9/GsMB/Pd5l6F4gOzjQU94oGZfjE7IRVx+ZwnyUHAMrVWvddTpUOTK5cI0tzqVYe7trVwaLDbMW9AXlm58l3Xr41K0S06sS2k0NmS/nTT1d30VbyYkaWK2lZuF/SnflObjKyn2ndPmGC7LQBHSxq2Po1MW2B+IFjycCXdYO7Iv6iabJdC+Ot2iXRIonUGdcOYN7jmz5U3IgsBdvPnELPvbBeOQtS9dAcCUgp30lJGD4Fvwi5FhrsLRDc2VXBh8ojQ+q+L4LZoEyKgCmctpxklfG9OAFCKnvZ+xD/DGOqXXc++5ynZq6gjuPXh9xJnPg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Cs0X7h10JxnrtcXdX5b3T+M5guJSFgLmBmX+2hObiTc=;
 b=kiIoTKBOd354B0nze7KqjiSd1L5MlbQ+ItckD8ZpAhQasJ2WfkAcO3895Ex7Mj6cE+VIs6nvFWPr7q5Sm66QCHYOHBCGxP8oBBqwHr3eXDgxLxJ68rjMMCrM9Ui21197wk+mz69bKa+QNBm1IA8HhISldLFgZ01MQ/P0toDOnPEZS2RmOFII22OeqOdA3/OOfzBFN5T4SBiLHE0GJGRxGlXosRVkIEhQgpXov1d4rL0yJZp5hZYPQ0XkND7qBy8Gq/u+OVQjA8LKOMQ7yb6zL77K/u5f8AvvRcYMui8gxFNpyXyylJHmw/KtQVeAyga4IqgVzyMRdQvX/TQ9vnBEKw==
Received: from MW2NAM12FT038.eop-nam12.prod.protection.outlook.com
 (2a01:111:e400:fc65::45) by
 MW2NAM12HT196.eop-nam12.prod.protection.outlook.com (2a01:111:e400:fc65::152)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3520.9; Wed, 4 Nov
 2020 19:50:36 +0000
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 (2a01:111:e400:fc65::4e) by MW2NAM12FT038.mail.protection.outlook.com
 (2a01:111:e400:fc65::168) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3541.7 via Frontend
 Transport; Wed, 4 Nov 2020 19:50:36 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:C0B9798375548158F2692537BD793C6B8FBE3549A47B72E3C99D864B7D82544C;
 UpperCasedChecksum:443E07A7641884E309F4A70A8C6B336882A4A4EB21E7E7B03C39B9EF7E16AE27;
 SizeAsReceived:7331; Count:45
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::2405:9d83:9d59:c5cf]) by DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::2405:9d83:9d59:c5cf%5]) with mapi id 15.20.3499.032; Wed, 4 Nov 2020
 19:50:36 +0000
From: Morgan.J.Smith@HIDDEN
To: mail@HIDDEN
Subject: [PATCH v3] gnu: emacs: Make strip-double-wrap more robust.
Date: Wed,  4 Nov 2020 14:47:13 -0500
Message-ID: <DM5PR1001MB2105208A37F6D9141D01B0C8C5EF0@HIDDEN>
X-Mailer: git-send-email 2.29.2
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [jg/7r0fIwd/OI1sC3HwF9gNdjpuoJ7WH]
X-ClientProxiedBy: YQBPR0101CA0071.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:c00:1::48) To DM5PR1001MB2105.namprd10.prod.outlook.com
 (2603:10b6:4:2b::24)
X-Microsoft-Original-Message-ID: <20201104194712.11431-1-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from pancake.lan (76.71.237.129) by
 YQBPR0101CA0071.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c00:1::48) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3499.18 via Frontend
 Transport; Wed, 4 Nov 2020 19:50:35 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 45
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 2ec7633c-f335-410a-cd6e-08d880fae5b0
X-MS-Exchange-SLBlob-MailProps: qY7UPrLqMbaVic8BE8grIa+syLdEnvPsVHGdNAI+29Cu7tlMLwnauEH6HI+R6WYeVgehkak4SHcY4S8Xqj6wMvQN4gu1htwMTFYT31xc0j6dH+TTLT4JtNhImCc6RicyYDdZs2MrApjMzo+N7BBoEaT3VzogdaMspYFeosxsiUVit5yPZ4UAmv5vfZxs0EEdgC8yFhNLcmrdfueUlkBaVNG5URofPQYZlmiSyOmRJXR56cCRxHVeWQkkUPnUHeSvLKkwRNR63YAFeI39FGytmrka56t+5gKDj7btSZvcPImS97gNxL7XKke10fygW8vtJ28e7EgIeu4W6SrAngHTrbbLduVV7M4mfGUID9JlKcl7jE6Pmhz01xAuqrWGO4rtxnSmS5UjwLR6I3KPqnLrfU1wqzfd4YjHAshLHPjQoOHsGYUlIyICk16DULpn6oitKnuo+O9dB5PmTf0iAI0qZ4LVmKuPY51A+1VBIivIoOU7MNWZolPEX9l7T23tzbXxIj6e4RaYLt93bzhr4b/hrmpt2hHBGynjoSkMWZLQjuhcEuqmaErArvbB+KVIpgDM0SCWXxKpSuibvqjNlSg6OHd6ra9FahdyWNn+u4Zpx73/QAiCgdoVDy5DHm5J/qjK3JK5PxTgquoE0avfO7H80afvqnGGj5OxSBu40u32sk9vxttXKV/CgN7y6VkQ9CooBKSrTqNO6jREeOhgUCejtQ==
X-MS-TrafficTypeDiagnostic: MW2NAM12HT196:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: tNY7mq5uNz9FHCCco8pn7qlTMCObdMpdBpZGd/KM4qeQ6aQoDosHUg9KHz0hSeaLGCghUvzqKEf53TG+Cw1JavOn8f2A41+s1aG+4m59DAhf4qW9Lhfkm20SVYv5g9Lghyp4XLr0rxzR/bWqHGqIlE2tTp/3JYm4+L7y4PTdT+Xgqx4fUbcGbXA3MuHC+kotPJPGlJ98zksEsUg/r0WuUg==
X-MS-Exchange-AntiSpam-MessageData: MTrPy9x8kjgiG5HH2PoqkoJ4l2J8TqdZodOAKVt8jJklCXusbnonDE1d9DR1Hg1fvQjC6/67wCN93BYUzNskeO1wr9UKzfqDPaL265HJ9huHP6MKdJqQwLKSxpppa1x3mq4w1uPJ3cwDscE/SLbjgg==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 2ec7633c-f335-410a-cd6e-08d880fae5b0
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 04 Nov 2020 19:50:35.9452 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: MW2NAM12FT038.eop-nam12.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: MW2NAM12HT196
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44249
Cc: 44249 <at> debbugs.gnu.org, Morgan Smith <Morgan.J.Smith@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

* gnu/packages/emacs.scm (emacs) [strip-double-wrap]: Use regex to find emacs
executable.  This works even when the version is changed by package
transformations (e.g., version=git.master).
---

(Can you reopen this bug report please?)

So I see 3 possible solutions:
1. Accept my first patch and give up on match
2. Accept this patch and modify almost every emacs varient (I did test building them all)
3. Figure out some proper module inheritence

I think option 3 is the most correct, but I'm lazy so I'm leaning towards option 1.
---
 gnu/packages/emacs.scm | 42 ++++++++++++++++++++++++++++--------------
 1 file changed, 28 insertions(+), 14 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index 4963379d74..4d1080f9dd 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -123,6 +123,9 @@
     (build-system glib-or-gtk-build-system)
     (arguments
      `(#:tests? #f                      ; no check target
+       #:modules ((guix build glib-or-gtk-build-system)
+                  (guix build utils)
+                  (ice-9 match))
        #:configure-flags (list "--with-modules"
                                "--with-cairo"
                                "--disable-build-details")
@@ -196,17 +199,12 @@
            (lambda* (#:key outputs #:allow-other-keys)
              ;; Directly copy emacs-X.Y to emacs, so that it is not wrapped
              ;; twice.  This also fixes a minor issue, where WMs would not be
-             ;; able to track emacs back to emacs.desktop.  The version is
-             ;; accessed using using THIS-PACKAGE so it "just works" for
-             ;; inherited Emacs packages of different versions.
+             ;; able to track emacs back to emacs.desktop.
              (with-directory-excursion (assoc-ref outputs "out")
-               (copy-file (string-append
-                           "bin/emacs-"
-                           ,(let ((this-version (package-version this-package)))
-                              (or (false-if-exception
-                                   (version-major+minor+point this-version))
-                                  (version-major+minor this-version))))
-                          "bin/emacs")
+               (copy-file
+                (match (find-files "bin" "^emacs-")
+                  ((executable . _) executable))
+                "bin/emacs")
                #t)))
          (add-before 'reset-gzip-timestamps 'make-compressed-files-writable
            ;; The 'reset-gzip-timestamps phase will throw a permission error
@@ -328,7 +326,11 @@ languages.")
        ((#:phases phases)
         `(modify-phases ,phases
            (delete 'restore-emacs-pdmp)
-           (delete 'strip-double-wrap)))))
+           (delete 'strip-double-wrap)))
+       ((#:modules modules)
+        `((guix build gnu-build-system)
+          (guix build utils)
+          (ice-9 match)))))
     (inputs
      `(("guix-emacs.el" ,(search-auxiliary-file "emacs/guix-emacs.el"))
        ("ncurses" ,ncurses)))
@@ -348,7 +350,11 @@ editor (with xwidgets support)")
        ((#:phases phases)
         `(modify-phases ,phases
            (delete 'restore-emacs-pdmp)
-           (delete 'strip-double-wrap)))))
+           (delete 'strip-double-wrap)))
+       ((#:modules modules)
+        `((guix build gnu-build-system)
+          (guix build utils)
+          (ice-9 match)))))
     (inputs
      `(("webkitgtk" ,webkitgtk)
        ("libxcomposite" ,libxcomposite)
@@ -375,7 +381,11 @@ editor (console only)")
        ((#:phases phases)
         `(modify-phases ,phases
            (delete 'restore-emacs-pdmp)
-           (delete 'strip-double-wrap)))))))
+           (delete 'strip-double-wrap)))
+       ((#:modules modules)
+        `((guix build gnu-build-system)
+          (guix build utils)
+          (ice-9 match)))))))
 
 (define-public emacs-no-x-toolkit
   (package/inherit emacs
@@ -392,7 +402,11 @@ editor (without an X toolkit)" )
        ((#:phases phases)
         `(modify-phases ,phases
            (delete 'restore-emacs-pdmp)
-           (delete 'strip-double-wrap)))))))
+           (delete 'strip-double-wrap)))
+       ((#:modules modules)
+        `((guix build gnu-build-system)
+          (guix build utils)
+          (ice-9 match)))))))
 
 (define-public emacs-wide-int
   (package/inherit emacs
-- 
2.29.1





Information forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.

Message received at 44249 <at> debbugs.gnu.org:


Received: (at 44249) by debbugs.gnu.org; 3 Nov 2020 22:10:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 03 17:10:07 2020
Received: from localhost ([127.0.0.1]:46614 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ka4VC-00016S-T7
	for submit <at> debbugs.gnu.org; Tue, 03 Nov 2020 17:10:07 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:33143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ka4VA-00015c-KO
 for 44249 <at> debbugs.gnu.org; Tue, 03 Nov 2020 17:10:05 -0500
Received: by mail-wr1-f50.google.com with SMTP id b8so20069107wrn.0
 for <44249 <at> debbugs.gnu.org>; Tue, 03 Nov 2020 14:10:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=45BTKNFEwqQzX7MgImBeWYcUpe3uqomTTZkShsJ936U=;
 b=W+GTQZ6Ha1mGrjCii1md38MHzIf1zGVN/gNov3gVFj/tSgf5FOmobTLoFyDqE11pdy
 fyXcVGTt9CjSIqzndhxS8CiAmiyoB7tKMm6Zhl017v7I9lbbqa5By4MyTYVCnYDBmL6u
 Yl4P1Te80hFB6t0vJSTKNvdMn0Ji+qUlKhirsDXU3mR9sARbeNbD1u7VBLjhiyqlMPsA
 SB/L1rxhAxJk/eH3lZebNAjDcsVW6qG0phxlsHgBLzSKD6YeKfTZXDSH+g+5sa5VlzFh
 WC+JLpw548t3ijXwxM2jx/Mxf3Sv6qIytlNdaVl2P4/wnXnREYCLhtZ/+po1MsefvmHb
 gFgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=45BTKNFEwqQzX7MgImBeWYcUpe3uqomTTZkShsJ936U=;
 b=IduMjb779D4GoGst0u0OBEm1Tnsxd13FASRoyzchmJDZis1k0WIr6jJ5S5PD+vXj6D
 QJjG52PgR5qOSWsepzMfclUHAFB6uiCC/USiq+Up5bqNaOogmgWGFqygxYpNx26aVFqR
 B6Tk5rwqWhrvJ4y7hyax2ydGhHQMqApbrvUxrrN8uGAbA2v06L5uqc0wjeuLVwGZL8HR
 yy9EzxEa13iNnLxKs8P/ZeLvSHvAe0OjwJfPkWZ2vz5g7OiNFFES4aw1Kxpz7RQyA4CD
 YOX9bidyFWl5lN6biGXhVxCciT1kRERS22wo7XvjSJxgVpx94AEt5I9hscwwNhED0gNq
 uc4g==
X-Gm-Message-State: AOAM533WdzZ/m/YmmKH31Gv4KDCDRfTzhyQCj6xovNe4JYrnkm4aySTy
 gOJkg11Iwzi69YY3mH8Y5nukhQmxXco=
X-Google-Smtp-Source: ABdhPJwaFoZmLzh8GbsU5nqb2m1j1kvdJVQNaAwcY2TV6lwQpUk+zqq19sp2MRnXM2BRZx8zQouUBw==
X-Received: by 2002:a5d:6445:: with SMTP id d5mr983131wrw.303.1604441398552;
 Tue, 03 Nov 2020 14:09:58 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id f2sm22599wre.63.2020.11.03.14.09.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 03 Nov 2020 14:09:57 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>, Morgan Smith
 <Morgan.J.Smith@HIDDEN>
Subject: Re: [bug#44249] [PATCH v2] gnu: emacs: Make strip-double-wrap more
 robust
In-Reply-To: <871rha5de5.fsf@HIDDEN>
References: <87blgn4bk6.fsf@HIDDEN>
 <DM5PR1001MB2105AC02013A8A7DD7A591C3C5100@HIDDEN>
 <874km6n58l.fsf@HIDDEN> <87r1pali7v.fsf@HIDDEN>
 <DM5PR1001MB21055D10AE2527FB3A87DB63C5110@HIDDEN>
 <871rha5de5.fsf@HIDDEN>
Date: Tue, 03 Nov 2020 23:09:56 +0100
Message-ID: <86imamgki3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44249
Cc: 44249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear,

On Tue, 03 Nov 2020 at 22:38, Nicolas Goaziou <mail@HIDDEN> wrot=
e:

>> Can you confirm how you create the error?
>
> I cannot. I tested your patch before applying it, and could compile
> Emacs just fine. However, as Ludovic reported it on IRC this commit had
> introduced issues in `emacs-minimal' package, hence the revert. See, if
> I understand Guix Data correctly,
>
> http://data.guix.gnu.org/revision/b107a19ffb6a6abb7bde3436f3fa359071bd1f5=
c/package/emacs-minimal/27.1

Another entry point is:

https://data.guix.gnu.org/repository/1/branch/master/package/emacs-minimal/=
output-history

Then click on =E2=80=9C2020-11-03 09:43:20=E2=80=9C which is the (commit) d=
ate of the
first failing commit and you get the revision
b107a19ffb6a6abb7bde3436f3fa359071bd1f5c

https://data.guix.gnu.org/revision/b107a19ffb6a6abb7bde3436f3fa359071bd1f5c

then click on =E2=80=9C(View cgit)=E2=80=9D leads to:

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3Db107a19ffb6a6abb7bd=
e3436f3fa359071bd1f5c

QED. :-)


Hope that helps,
simon

PS:
The attentive reader notice the difference of hours:
=E2=80=9C2020-11-03 09:43:20=E2=80=9C
    vs
2020-11-03 10:30:03 +0100=20
Hum?!




Information forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.

Message received at 44249 <at> debbugs.gnu.org:


Received: (at 44249) by debbugs.gnu.org; 3 Nov 2020 21:39:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 03 16:39:09 2020
Received: from localhost ([127.0.0.1]:46582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ka41E-0000Kq-TV
	for submit <at> debbugs.gnu.org; Tue, 03 Nov 2020 16:39:09 -0500
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:48671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ka41C-0000KL-NA
 for 44249 <at> debbugs.gnu.org; Tue, 03 Nov 2020 16:39:07 -0500
X-Originating-IP: 185.131.40.67
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 88F531BF205;
 Tue,  3 Nov 2020 21:38:59 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Morgan Smith <Morgan.J.Smith@HIDDEN>
Subject: Re: bug#44249: [PATCH v2] gnu: emacs: Make strip-double-wrap more
 robust
References: <87blgn4bk6.fsf@HIDDEN>
 <DM5PR1001MB2105AC02013A8A7DD7A591C3C5100@HIDDEN>
 <874km6n58l.fsf@HIDDEN> <87r1pali7v.fsf@HIDDEN>
 <DM5PR1001MB21055D10AE2527FB3A87DB63C5110@HIDDEN>
Date: Tue, 03 Nov 2020 22:38:58 +0100
In-Reply-To: <DM5PR1001MB21055D10AE2527FB3A87DB63C5110@HIDDEN>
 (Morgan Smith's message of "Tue, 3 Nov 2020 09:49:30 -0500")
Message-ID: <871rha5de5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44249
Cc: 44249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Morgan Smith <Morgan.J.Smith@HIDDEN> writes:

> So I need to use the module (ice-9 match) there to get the definition of
> match. However, it seems to override the modules that where previously
> available there so I have to add them back.

Ah. True.

> Can you confirm how you create the error?

I cannot. I tested your patch before applying it, and could compile
Emacs just fine. However, as Ludovic reported it on IRC this commit had
introduced issues in `emacs-minimal' package, hence the revert. See, if
I understand Guix Data correctly,

http://data.guix.gnu.org/revision/b107a19ffb6a6abb7bde3436f3fa359071bd1f5c/package/emacs-minimal/27.1

Regards,




Information forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.

Message received at 44249 <at> debbugs.gnu.org:


Received: (at 44249) by debbugs.gnu.org; 3 Nov 2020 14:49:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 03 09:49:41 2020
Received: from localhost ([127.0.0.1]:44008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kZxcz-0004C8-EI
	for submit <at> debbugs.gnu.org; Tue, 03 Nov 2020 09:49:41 -0500
Received: from mail-oln040092009044.outbound.protection.outlook.com
 ([40.92.9.44]:50645 helo=NAM04-BN3-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1kZxcw-0004Bt-VA
 for 44249 <at> debbugs.gnu.org; Tue, 03 Nov 2020 09:49:40 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=QP3R3IJvIjysdQPNSaOCKN7rNeuEezElgn1b6fGusdWgWi8MIVsmzqw65FPpO0zg28B16F92LckayckMm8kHbukJGqBEiLFErLV/E1YgTr6FKBE7Fz15mMv3VjEGpPAt4Ji3wAmSFQ5uRl2ha14Qw21TKHKI6jtqhPjO0EAzju8tgFZ7wSwxQk2XQia8TST1fv77Rq+hFAUQ9n1y0gW55HTkr4mC8vtfPpSJQU7iy7EOPUdXno24HeZQxF0KdvssJY4taDTB/8WsVkiHKnx3v19oPy8JJNVgXJSqFzhS+cPOtnFWW1/4x5cKpdNnWj3JRZsutVYCi57XSZ2jSYMVuA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=I4inMk7XqtbaNiSZAq1NtntUu0rCiSo8UiYc2Xw6fYo=;
 b=iyQkdkjQzMIpi69JusqVWuCnVN/8rny3KrHxwXuPdTVaXItItkShPM8nbKzJ9gw6AbZE/Ba3eSHrvqaJqCw0NzDDr3ri5ZKHQSF0A+g0OaWLsTjjA9EKopbcnaNFvk0qVow/I8p8PG2r/t05c4iy4Vl431oDBPC/KbchLomc/M3JqngST83VwA6gf1AcMdkrom41TYZSxhXtOckzM8CjADb/yIkwfHXm+y++p2MPTRZ5X44DdWyKe5b0FAsq8KtqCcOkO15uQVrHnTrm9aeUHzjQLurq0ZZEOC6TdUB+eKsyUvcX8Ti1r57nk3PqeW9mpm9mhACRs/k7LyCTWBfrNw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=I4inMk7XqtbaNiSZAq1NtntUu0rCiSo8UiYc2Xw6fYo=;
 b=f2Ty+uaU7LAtXeDsJRhjmMVEBsDWwKwsEW4Vht52Hm98fMNy2eWoKa2I7XaXbk0THbK1JQ/KOYZHajgDr5/jGmjjeBC3NA53z7fuDLRlT3PNmQINqNccLYwHFJvP/dbHqtAzvLEOWX6/5sQmO2iDY93WcVbbXpgSBS42Bp+gdekOL/1OHFioyVmE2LP/wAi6/fauRF7mrRjZ0CGGEsS8wiBy9Hlm9en/PqLY9dthl5wXEW/DLzlUznpDuEOyQGMRbwRlxZQM4pGdQ4pw3LVA0FAk/J3guhNB13XMxIfvEWAcg3ONk90mA1JEFpN2Il4IeDfEwYaDoEpZTecTNdV9mg==
Received: from CO1NAM04FT044.eop-NAM04.prod.protection.outlook.com
 (10.152.90.53) by CO1NAM04HT075.eop-NAM04.prod.protection.outlook.com
 (10.152.91.12) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3499.21; Tue, 3 Nov
 2020 14:49:32 +0000
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 (2a01:111:e400:7e4d::50) by CO1NAM04FT044.mail.protection.outlook.com
 (2a01:111:e400:7e4d::351) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3520.17 via Frontend
 Transport; Tue, 3 Nov 2020 14:49:32 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:DA8F68136F769E2EA095EA72D48C77E4F79571A044EA7B612D3A0684622260BD;
 UpperCasedChecksum:9866078B71726076998517DEE4ADE0BD6FBC4CFC2A9B27731AEEB9855A277EFE;
 SizeAsReceived:8801; Count:47
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::2405:9d83:9d59:c5cf]) by DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::2405:9d83:9d59:c5cf%5]) with mapi id 15.20.3499.029; Tue, 3 Nov 2020
 14:49:32 +0000
To: Nicolas Goaziou <mail@HIDDEN>, 44249 <at> debbugs.gnu.org
References: <87blgn4bk6.fsf@HIDDEN>
 <DM5PR1001MB2105AC02013A8A7DD7A591C3C5100@HIDDEN>
 <874km6n58l.fsf@HIDDEN> <87r1pali7v.fsf@HIDDEN>
From: Morgan Smith <Morgan.J.Smith@HIDDEN>
Subject: Re: bug#44249: [PATCH v2] gnu: emacs: Make strip-double-wrap more
 robust
Message-ID: <DM5PR1001MB21055D10AE2527FB3A87DB63C5110@HIDDEN>
Date: Tue, 3 Nov 2020 09:49:30 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Icedove/78.4.0
In-Reply-To: <87r1pali7v.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-TMN: [sJpnBwEpuVPSETwh5ui5TXYsv6OlcKR3]
X-ClientProxiedBy: YQXPR0101CA0042.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:c00:14::19) To DM5PR1001MB2105.namprd10.prod.outlook.com
 (2603:10b6:4:2b::24)
X-Microsoft-Original-Message-ID: <edceaf54-9acd-2e85-96ac-fb357fb0cf41@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from [192.168.8.218] (70.30.20.229) by
 YQXPR0101CA0042.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c00:14::19) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3499.18 via Frontend
 Transport; Tue, 3 Nov 2020 14:49:31 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 47
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 7003cc4f-f8c8-4b08-4fb0-08d88007ac86
X-MS-TrafficTypeDiagnostic: CO1NAM04HT075:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: r13lGDtbe3oOgsvb8enAA4dH4TzHUy40sfHpDyyv/FSjJADEztm8iMxGs1lXzafAL5TnrNcgwghUnUMFr+KSJ/bacjtICKw6OkVfv1dSwySJxUxZVD66tm/30V1O7LH2OkAg+L9LWy9VxBXyCsHa0lMWFmjd0YInoj/wDMJl4sovhLe5gui94D8CYGrGX5bvOA3U3bY/bjwx2N2oS6Tw3w==
X-MS-Exchange-AntiSpam-MessageData: P5Qbu15pas5OUHDfcX6UfJjb+HXX1PkKklBxZkrRy6/AIEjMU0jIkN7bNxdi825RKjkTr5wEBNxf72Nw3iCZTUUGLIDAQbaNwaxMiB1t61A1DmCuLZQudqBxouyzkobp4LElAiDcUWzugq0ixoKnoA==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 7003cc4f-f8c8-4b08-4fb0-08d88007ac86
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 03 Nov 2020 14:49:32.3453 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: CO1NAM04FT044.eop-NAM04.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CO1NAM04HT075
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  So I need to use the module (ice-9 match) there to get the
 definition of match. However, it seems to override the modules that where
 previously available there so I have to add them back. Can you confirm how
 you create the error? I did a checkout to the commit before you did the revert
 (51482b93b6) and I couldn't find any errors. This is what I did: 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.9.44 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.9.44 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (morgan.j.smith[at]outlook.com)
 0.0 MSGID_FROM_MTA_HEADER  Message-Id was added by a relay
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
 1.6 FORGED_MUA_MOZILLA     Forged mail pretending to be from Mozilla
X-Debbugs-Envelope-To: 44249
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

So I need to use the module (ice-9 match) there to get the definition of
match. However, it seems to override the modules that where previously
available there so I have to add them back.

Can you confirm how you create the error? I did a checkout to the commit
before you did the revert (51482b93b6) and I couldn't find any errors.
This is what I did:

guix environment guix -C --pure -- make distclean
git clean -xfd
guix environment guix -C --pure -- ./bootstrap
guix environment guix -C --pure -- ./configure --localstatedir=/var
guix environment guix -C --pure -- make
./pre-inst-env guix build emacs
./pre-inst-env guix build emacs-next


On 11/3/20 7:48 AM, Nicolas Goaziou wrote:
> Nicolas Goaziou <mail@HIDDEN> writes:
> 
>> Patch applied. Thank you.
> 
> And patch reverted… It generates a build error: "No code
> for module (guix build glib-or-gtk-build-system)".
> 
> What is the purpose of loading (guix build glib-or-gtk-build-system)?
> 
> Regards,
> 




Information forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.

Message received at 44249 <at> debbugs.gnu.org:


Received: (at 44249) by debbugs.gnu.org; 3 Nov 2020 12:48:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 03 07:48:14 2020
Received: from localhost ([127.0.0.1]:43726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kZvjR-0007Li-UO
	for submit <at> debbugs.gnu.org; Tue, 03 Nov 2020 07:48:14 -0500
Received: from relay12.mail.gandi.net ([217.70.178.232]:54339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kZvjQ-0007LU-AH
 for 44249 <at> debbugs.gnu.org; Tue, 03 Nov 2020 07:48:13 -0500
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 53BEA200011;
 Tue,  3 Nov 2020 12:48:04 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: 44249 <at> debbugs.gnu.org
Subject: Re: bug#44249: [PATCH v2] gnu: emacs: Make strip-double-wrap more
 robust
References: <87blgn4bk6.fsf@HIDDEN>
 <DM5PR1001MB2105AC02013A8A7DD7A591C3C5100@HIDDEN>
 <874km6n58l.fsf@HIDDEN>
Date: Tue, 03 Nov 2020 13:48:04 +0100
In-Reply-To: <874km6n58l.fsf@HIDDEN> (Nicolas Goaziou's message of
 "Tue, 03 Nov 2020 10:45:30 +0100")
Message-ID: <87r1pali7v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44249
Cc: Morgan.J.Smith@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Nicolas Goaziou <mail@HIDDEN> writes:

> Patch applied. Thank you.

And patch reverted=E2=80=A6 It generates a build error: "No code
for module (guix build glib-or-gtk-build-system)".

What is the purpose of loading (guix build glib-or-gtk-build-system)?

Regards,




Information forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.

Message received at 44249-done <at> debbugs.gnu.org:


Received: (at 44249-done) by debbugs.gnu.org; 3 Nov 2020 09:45:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 03 04:45:40 2020
Received: from localhost ([127.0.0.1]:43449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kZssm-0000X0-Cu
	for submit <at> debbugs.gnu.org; Tue, 03 Nov 2020 04:45:40 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:24267)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kZssk-0000Wk-Rg
 for 44249-done <at> debbugs.gnu.org; Tue, 03 Nov 2020 04:45:39 -0500
X-Originating-IP: 185.131.40.67
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id C4037240183;
 Tue,  3 Nov 2020 09:45:31 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Morgan.J.Smith@HIDDEN
Subject: Re: [PATCH v2] gnu: emacs: Make strip-double-wrap more robust
References: <87blgn4bk6.fsf@HIDDEN>
 <DM5PR1001MB2105AC02013A8A7DD7A591C3C5100@HIDDEN>
Date: Tue, 03 Nov 2020 10:45:30 +0100
In-Reply-To: <DM5PR1001MB2105AC02013A8A7DD7A591C3C5100@HIDDEN>
 (Morgan J. Smith's message of "Sun, 1 Nov 2020 23:35:04 -0500")
Message-ID: <874km6n58l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44249-done
Cc: 44249-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Morgan.J.Smith@HIDDEN writes:

> * gnu/packages/emacs.scm (emacs) [strip-double-wrap]:
> Use regex to find emacs executable. This works even when the version is
> changed by package transformations (ex: version=git.master)

I added missing final full stops in the commit message, and tweaked your
patter a bit. In particular, I removed the call to `string?', since
I don't think `find-files' can return a non-empty list with anything not
being a string.Let me know if you think I'm wrong.

Patch applied. Thank you.

Regards,
-- 
Nicolas Goaziou




Notification sent to Morgan.J.Smith@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Nicolas Goaziou <mail@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 44249 <at> debbugs.gnu.org:


Received: (at 44249) by debbugs.gnu.org; 2 Nov 2020 04:36:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 01 23:36:00 2020
Received: from localhost ([127.0.0.1]:39219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kZRZX-0002Zk-NR
	for submit <at> debbugs.gnu.org; Sun, 01 Nov 2020 23:35:59 -0500
Received: from mail-mw2nam12olkn2011.outbound.protection.outlook.com
 ([40.92.23.11]:47809 helo=NAM12-MW2-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1kZRZV-0002ZU-TR
 for 44249 <at> debbugs.gnu.org; Sun, 01 Nov 2020 23:35:58 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=XEu6hu95nQ5x0Zbnw48Cb65dipmFNlThcOz/60Trs4OMqN2ERdsM2GDnO6jEJ7IVLAmb37xOD+eSIGGTrhZhKRpXVd9evSWrRnpbi1b3BDsLkSw0G+GJ2B6KQntIlWyFPlxUKP/eZgO67aaXG0XC4BVJJzE5sCe4/A3zzx9gYBfpYnPDAgY1iXEdEXJkQMC5p0VMbb4P9cNGz45JY/WkKgIgBlP9njP7SeEzBNqzJivIP59OSrrbZsV/GeOrXPEKASXrwgQuDXhInakR3YKgtqjD/zBvbOtwYwVGvzkB+eMm8WqMfDO7BeMokyW3VmdEd81re3chHOh5RrKKnrpB7A==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=YEJtcFhRPoPECNQBaZ1YDyMH9s7gV1Sfb+B0URodbHg=;
 b=SWjcdNrC78ikNSYrZ/SyDegUqRoi1s8wE6MlP5PDvAxgTE7auxIC1Ab9uPfeNQy53yNYFsl7y+8tTg0YCIQESZEZxA3SxDZUhyxcGa5BrPYMPe86A5DQ5qTqb0sDTpOuj8VTzOnV3mHlvlZPNSA25GcyJgiU3NgLrcedy7XSRF0FtljaPrq0/2m3iu5+2sqZb1ltL81OyQEETlBRO7In5jbXAveA0t+QY8XqZ45kx6varTLo82zbOdhyDlQKN7+ZlzD+M9Fby5ee35dbHAznDQgDASlSH0jGVUh4Ec8NH9cn6OxkTf0or7BsZWWqPzX24Z4fdnTkURjUKRsA81WAFQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=YEJtcFhRPoPECNQBaZ1YDyMH9s7gV1Sfb+B0URodbHg=;
 b=tO7JUq7HaXwyLIYg/gdrcWn/ob1KzFiR0Z7i45PBG+KDsxEnWdvxxVAY5BDr8zhRCFuQf+iRDd8d6zRiZiyrtM9Wo92387V9GfEAWbiqeqf812zlupPvfClU4Wu+RP6xOb7yc0GSjXRs9MniKaTQGLerYU8BRVgckHI57exRiQ1+M3u85fvfX7zklJckqXZIhMWRSkyaCz+7j9BJh/iE34Fkbjv7NZnpOhg6pGOYakH3jTNb3Zx9I6ZGzd/rSqKV/S+Z6kruSlldA4n9OaU+nPIIZX+rxPM0B16HbkoXfJ3yHU7AwYgYjJcY9edI9V2knADpvNcNBv8lob4p53sU2w==
Received: from DM6NAM12FT052.eop-nam12.prod.protection.outlook.com
 (2a01:111:e400:fc64::4a) by
 DM6NAM12HT247.eop-nam12.prod.protection.outlook.com (2a01:111:e400:fc64::166)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3520.9; Mon, 2 Nov
 2020 04:35:51 +0000
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 (2a01:111:e400:fc64::48) by DM6NAM12FT052.mail.protection.outlook.com
 (2a01:111:e400:fc64::158) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3541.7 via Frontend
 Transport; Mon, 2 Nov 2020 04:35:51 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:BCCD8FCF20AE4974EC5CBA7DDACBFF90E24FB8D6D8AD9B3209A574BADB147B20;
 UpperCasedChecksum:ACC542CCBC3031B61C93B9326765BFE30246E2161067CAD8BFCD2B1020777A6C;
 SizeAsReceived:7418; Count:47
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::2405:9d83:9d59:c5cf]) by DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::2405:9d83:9d59:c5cf%5]) with mapi id 15.20.3499.029; Mon, 2 Nov 2020
 04:35:51 +0000
From: Morgan.J.Smith@HIDDEN
To: mail@HIDDEN
Subject: [PATCH v2] gnu: emacs: Make strip-double-wrap more robust
Date: Sun,  1 Nov 2020 23:35:04 -0500
Message-ID: <DM5PR1001MB2105AC02013A8A7DD7A591C3C5100@HIDDEN>
X-Mailer: git-send-email 2.29.2
In-Reply-To: <87blgn4bk6.fsf@HIDDEN>
References: <87blgn4bk6.fsf@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [Wrf2K68hXFURpUXF/5m6AfU5DUD8bkNJ]
X-ClientProxiedBy: YQBPR01CA0042.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:c01:2::14) To DM5PR1001MB2105.namprd10.prod.outlook.com
 (2603:10b6:4:2b::24)
X-Microsoft-Original-Message-ID: <20201102043503.21360-1-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from pancake.lan (70.30.20.229) by
 YQBPR01CA0042.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c01:2::14) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3499.18 via Frontend Transport; Mon, 2 Nov 2020 04:35:50 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 47
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 51f752b7-f0d4-4c96-17c4-08d87ee8c6d5
X-MS-Exchange-SLBlob-MailProps: qY7UPrLqMbYdK6Y+/++nIW13Zwwbu7eRoi/3rooBtIcxEMNNPohAz6lyxbF5ZqMX7UETKoA8CBLtesGt5c4p/TFJF69OnqjeS5AET9mgveZZvbWMJTh0YAnbRpbvqxuy5TsEmFCwiZro7D+6Y0rMF4CtUDnPOGKhYdEfVp+BAvfcule61XvwKumiBStuk6rq8Z2FSaAHw51+/yh0MYAYAc9eSZSg6aIjzwmoM9jq2cOpaeYJjl2es098r2zMmaIONPPvMlV2ykQKs200qWK4LL/g1R1RvlZJhI5J7ECyRXbTYxz/l/gAZ3r8gYtwFI7P1j87x7wNtLhYl6pCBSqAneOHSoae8Eza3Ac69NIJK/ofDB/KPC1TInXY2tGb3N0lQSZtpu6cLvFXvjkGKsyO/Zna2sv/Ocd1vIRWE28DvAGWZpwpm3icGXv5Xb18IuFDYKNDrdkWNX1o1JT3tA7UCeLjgby5zkDOnt9W0xC2cBNbcSzCJVkbzE8RskzIdS8pJ/ckJwaDgvbWGc2lrX9VI8nkEbZR5b7W2C8YiXXC4pShhkOIFvLqQetMFKZWaAMtwiDdbZcYdypVpxDiyut3LeKJJRcpKtm/a6ixldiqmAVD1RO9KZ2nP+UUOC34IIcs7DvOhQ1W+Y2dXMTX9A2ICtebe4Fbr9w3HpUkPXb9cceStt77aWzPhmVl/TT8D8fSfzKJhrxRJyRFIlhKSh+b2Q==
X-MS-TrafficTypeDiagnostic: DM6NAM12HT247:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: ZXjNlWbumsMnkVGzhsg2V4K6pHhAK+0XvxebbO9Be8yhGLQJdYjdK/iQ6i42jM84Bha5ylBm9ageZyN7rfWAZ6PRfFHQ1QSTY5JJ39q/eoxbs3oR2QxnV49d7XF4sOLd/VHbJ3SihmMvRnBZb/vuiPpwaUCoRkMk+nGI1grqYts/2LpjTu5oKCCfNDHNgNhY37KR/+sCoAApzvZBTK1KJA==
X-MS-Exchange-AntiSpam-MessageData: k2WaH76yCDYJNjcoAqCpToApOqAWKKNM38K+edwufhfn3uZVY5C3ROv+UPFnsa/yEW2rEnpexcDYKXTYO5xj4VydlOmSuIUsw7Ai1l9EuRXw1D+SmkET3Ef3vts1i2Ic9hK5YzMeHzxfVQvkk+oX6A==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 51f752b7-f0d4-4c96-17c4-08d87ee8c6d5
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 02 Nov 2020 04:35:51.3247 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: DM6NAM12FT052.eop-nam12.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM6NAM12HT247
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44249
Cc: 44249 <at> debbugs.gnu.org, Morgan Smith <Morgan.J.Smith@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

* gnu/packages/emacs.scm (emacs) [strip-double-wrap]:
Use regex to find emacs executable. This works even when the version is
changed by package transformations (ex: version=git.master)
---
 gnu/packages/emacs.scm | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index 4963379d74..00441dee45 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -123,6 +123,9 @@
     (build-system glib-or-gtk-build-system)
     (arguments
      `(#:tests? #f                      ; no check target
+       #:modules ((guix build glib-or-gtk-build-system)
+                  (guix build utils)
+                  (ice-9 match))
        #:configure-flags (list "--with-modules"
                                "--with-cairo"
                                "--disable-build-details")
@@ -196,17 +199,13 @@
            (lambda* (#:key outputs #:allow-other-keys)
              ;; Directly copy emacs-X.Y to emacs, so that it is not wrapped
              ;; twice.  This also fixes a minor issue, where WMs would not be
-             ;; able to track emacs back to emacs.desktop.  The version is
-             ;; accessed using using THIS-PACKAGE so it "just works" for
-             ;; inherited Emacs packages of different versions.
+             ;; able to track emacs back to emacs.desktop.
              (with-directory-excursion (assoc-ref outputs "out")
-               (copy-file (string-append
-                           "bin/emacs-"
-                           ,(let ((this-version (package-version this-package)))
-                              (or (false-if-exception
-                                   (version-major+minor+point this-version))
-                                  (version-major+minor this-version))))
-                          "bin/emacs")
+               (copy-file
+                (match
+                    (find-files "bin" (file-name-predicate "^emacs-"))
+                  (((? string? string)) string))
+                "bin/emacs")
                #t)))
          (add-before 'reset-gzip-timestamps 'make-compressed-files-writable
            ;; The 'reset-gzip-timestamps phase will throw a permission error
-- 
2.29.1





Information forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.

Message received at 44249 <at> debbugs.gnu.org:


Received: (at 44249) by debbugs.gnu.org; 27 Oct 2020 21:13:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 27 17:13:40 2020
Received: from localhost ([127.0.0.1]:46160 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kXWHk-000873-AN
	for submit <at> debbugs.gnu.org; Tue, 27 Oct 2020 17:13:40 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:33529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kXWHi-00086n-5y
 for 44249 <at> debbugs.gnu.org; Tue, 27 Oct 2020 17:13:38 -0400
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id CEDEA200007;
 Tue, 27 Oct 2020 21:13:30 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Morgan.J.Smith@HIDDEN
Subject: Re: [bug#44249] [PATCH] gnu: emacs: Make strip-double-wrap more robust
References: <DM5PR1001MB21059362E2A281295A7FA2B2C5160@HIDDEN>
Date: Tue, 27 Oct 2020 22:13:29 +0100
In-Reply-To: <DM5PR1001MB21059362E2A281295A7FA2B2C5160@HIDDEN>
 (Morgan J. Smith's message of "Mon, 26 Oct 2020 22:01:45 -0400")
Message-ID: <87blgn4bk6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44249
Cc: 44249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Morgan.J.Smith@HIDDEN writes:

> * gnu/packages/emacs.scm (emacs) [strip-double-wrap]:
> Use regex to find emacs executable. This works even when the version is
> changed by package transformations (ex: version=git.master)

Thank you.

> +               (copy-file
> +                (car

Please use pattern matching, i.e. `match', instead of `car'.

> +                 (find-files
> +                  "bin" (file-name-predicate "^emacs-([0-9]+\\.)+[0-9]+$")))
> +                "bin/emacs")

Would it be even more robust to simply catch any "emacs-" prefixed file
name?

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Oct 2020 02:17:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 26 22:17:21 2020
Received: from localhost ([127.0.0.1]:42233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kXEY5-00081X-9H
	for submit <at> debbugs.gnu.org; Mon, 26 Oct 2020 22:17:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:33406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1kXEY4-00081Q-0e
 for submit <at> debbugs.gnu.org; Mon, 26 Oct 2020 22:17:20 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33582)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <Morgan.J.Smith@HIDDEN>)
 id 1kXEY3-0006EW-Qa
 for guix-patches@HIDDEN; Mon, 26 Oct 2020 22:17:19 -0400
Received: from mail-co1nam11olkn2057.outbound.protection.outlook.com
 ([40.92.18.57]:62337 helo=NAM11-CO1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <Morgan.J.Smith@HIDDEN>)
 id 1kXEXy-0003Pl-WC
 for guix-patches@HIDDEN; Mon, 26 Oct 2020 22:17:19 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=i0nT2kIQ1Xks1PwHc0fw036dPcQTT0BxlalrqRHhmJQVnKsFts5+bHlvyEguztmUnHS8Ay59aH042Dwyk0tFUIuioxWxM3mf7MP4kMPoiHVnBCxEG75gxzCRqG6nN8dr3gREVmsiW3gfug+EaJiJ7Tk8BFz54gZnKvQ5WuM+pnWo0IeFg40wyabY+zZ2KWziwjX8YyfC88ZBd2ckhdhteCbvq+UlVm4ldmTIz2QjEKGVONGh87+iKxo14R3sv1GfTw7EE3awXxxsQ73C0UKT8mLRHp6QumyWNn0qFvsl2I4+ZBzQ4lVjcRHCmKffJ3m0qVv2wfSakjEKX8w7BDaXjg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=2TmHJHOns7aYtzYf12rHBAhBfg8bTVsKrPtOah6NcV0=;
 b=F3Hivz4BbHtF3KBbHDBJL4t9MzDvM4zw866drS2n+VscVumgsxlPRdj1Zwgje3FHwT2lm+kNOgM6onp2kS4cReGKtVWH0cmFKjrq1fwHVmFF42ADCKsDMncwynqV3p/cBHIHKq2vMDUBeGy4JyZ9olLAWKROr/Eye/UsgPcC7AwExZNXts+2OkI6nXZyse8PanjP9s0rX7uaSQ7h0iBmv0w0AtsakJi4DSiKBvZz/A9+O82sQQD0Y6uOH295nVRPTvPWqI9irG3D44VhpXRWPI9apTbV6xeIdavSO1E9XIZVgNaDVUt6M9xnWnsIwQSHgIIlkZxvzx2Oi3ap/GmuBA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=2TmHJHOns7aYtzYf12rHBAhBfg8bTVsKrPtOah6NcV0=;
 b=Kz8sYi8rCG4L+E+w6jUQLRwMm/sq/lvPTNvjGkq2zdJzAqt+fzZHhBsqnNfnOQnymKfiB/gLjESZRijKjrKMsL2C9+bYhqHiuXz/WKPVihMq8CsY5tTj3y4ik8zeLXbu5yG9YxMFfQRO7HgMcUqtexvkdx18FIJWNLYzuJ1PtFYnsZ9Aqxi/mqtvTYiUStRJu7LYVrGaD+whP2cQ3W5YRKpU8fKrA5uSsKea8u+eb8RmQOZz+Yve4pqTZMZ2MtnZLxBIITA9JiQw2EgmvIofKXJ/aL0e0wt+jFaCHz0qVAYbR8rOs0hI0MQVu/pm3GFc2FHun6vSQ+c9dNJvE6XCnA==
Received: from DM6NAM11FT031.eop-nam11.prod.protection.outlook.com
 (2a01:111:e400:fc4d::4a) by
 DM6NAM11HT166.eop-nam11.prod.protection.outlook.com (2a01:111:e400:fc4d::314)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3499.18; Tue, 27 Oct
 2020 02:02:09 +0000
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 (2a01:111:e400:fc4d::51) by DM6NAM11FT031.mail.protection.outlook.com
 (2a01:111:e400:fc4d::203) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3499.18 via Frontend
 Transport; Tue, 27 Oct 2020 02:02:09 +0000
X-IncomingTopHeaderMarker: OriginalChecksum:A322D0A43EB5FA4A1DC78CBFE99318511BEADA5F5F3296F6325640D6082896DB;
 UpperCasedChecksum:967EBE7E4B64012DFEBC57A88531632F05B0DA4950A556BFCA9E69F3174A0E9C;
 SizeAsReceived:7278; Count:45
Received: from DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::2405:9d83:9d59:c5cf]) by DM5PR1001MB2105.namprd10.prod.outlook.com
 ([fe80::2405:9d83:9d59:c5cf%5]) with mapi id 15.20.3477.028; Tue, 27 Oct 2020
 02:02:08 +0000
From: Morgan.J.Smith@HIDDEN
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: emacs: Make strip-double-wrap more robust
Date: Mon, 26 Oct 2020 22:01:45 -0400
Message-ID: <DM5PR1001MB21059362E2A281295A7FA2B2C5160@HIDDEN>
X-Mailer: git-send-email 2.29.1
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [RROLcqG/Q+Omm5WiW4ZjljJTUIATu3hq]
X-ClientProxiedBy: YT1PR01CA0065.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:b01:2e::34) To DM5PR1001MB2105.namprd10.prod.outlook.com
 (2603:10b6:4:2b::24)
X-Microsoft-Original-Message-ID: <20201027020144.14125-1-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from pancake.lan (45.58.218.141) by
 YT1PR01CA0065.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:b01:2e::34) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.3499.18 via Frontend Transport; Tue, 27 Oct 2020 02:02:07 +0000
X-MS-PublicTrafficType: Email
X-IncomingHeaderCount: 45
X-EOPAttributedMessage: 0
X-MS-Office365-Filtering-Correlation-Id: 5493961c-60cf-457b-1617-08d87a1c4f17
X-MS-Exchange-SLBlob-MailProps: gjx25WM8ZNUXiI7VfCKpks7wORMcO1d5NZVfCihdmUvQ282WuSMcvSDV86f+z427WKtViZ2kCDxWz4oDOJhOS0iAbBYfpO6XWEwiJpyn90HAePWnvi0nWZ2afHVdDIvGbcxVm1ZsAZcLDtccFrWMp2Ct/KO2BRYyWTj1OkTDAsAsQJ0/3QGPnVl0nyl8Lt1URjy/DwZ5MsNQ5NKqLaBCndGmXNixUePl5xtRxskVkPq8BMvXU20FrnrsxtJsOEWy+Kykn4OX2oDdlJmRol9Wu6BHtPdNGpNxEJTq7589qPoCMLHskD+IY1/xaO2+yeu4EjKFL/aQ91ZGtAhOJch525eMjTYtJN+SKmtyD917lrXI9yqDtZHDAsVN4+YjusezUdAFPxo7YdpvfQNAlvIrxRcia++8g0khhWZD3wC1VWUzyR4ehby/EKT9XWXnmkwiz4h+N0p1xmz+s0BAxVY/0e8RnD2wJ+xWw+iBbzgwfi2gIxW8Qi2+q13BN8gB/K/7gXANBPOUprH87haUp/5uaXdGR1lUTRQ5x+An6NvrfEQQs2SB6FM5Zu31ttgBdY2D7XG4ujGGIHbAF/l1CGGuQWdvgPR6FpD9G6txJo4U3liq0upAJcwF0l2VxOQOv3hEmMm3rFUVoPv3P71IqZUSi73tkinwGtoyY+6kianUNOQFIN7sub6gWGBGuXCiZPOYC1KgMOpZQxo/XbEG4DPbkQ6BqVqXWMlwNNJuIIMCTo4=
X-MS-TrafficTypeDiagnostic: DM6NAM11HT166:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 3VyRJUWD5VAa/EtMRk0jDnUnpAtSN4MNoPLOHq+LCLDwXMJjAnMMbC/B8HnUG21Zc2RfcFzx0fZaXp7yw1k+0jJ9Zr5H9gmmHS50gZoLPzP3IFCAaC/GxfOnJSTJOJh+y8WWvRcSUb15o6oVZpcgkeu0GniGJBIo9oml8tltkvZx+4KW0Wf0/iAFE3qK8fwJOPdBt8QkWNDQseGrOFDVbw==
X-MS-Exchange-AntiSpam-MessageData: V1Vb1FIBR3635rj2pZ4WDmwtL1U+7oI0Dr9ZZq2h3Ud9SCU3EpTW6I1JJH4RxSfRTx/utooAc5aMvh70Mz1Bn6+1wCPWL35vnx930Hko61YDY0IbEH7RvHUH5xOoWv+MhpFbiUk9CtXqsBxKdpEVTQ==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 5493961c-60cf-457b-1617-08d87a1c4f17
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 27 Oct 2020 02:02:08.8914 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource: DM6NAM11FT031.eop-nam11.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM6NAM11HT166
Received-SPF: pass client-ip=40.92.18.57;
 envelope-from=Morgan.J.Smith@HIDDEN;
 helo=NAM11-CO1-obe.outbound.protection.outlook.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/26 22:17:11
X-ACL-Warn: Detected OS   = Windows NT kernel [generic] [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 MSGID_FROM_MTA_HEADER=0.001, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: submit
Cc: Morgan Smith <Morgan.J.Smith@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

* gnu/packages/emacs.scm (emacs) [strip-double-wrap]:
Use regex to find emacs executable. This works even when the version is
changed by package transformations (ex: version=git.master)
---
 gnu/packages/emacs.scm | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index 4963379d74..5c89e4c6b6 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -196,17 +196,13 @@
            (lambda* (#:key outputs #:allow-other-keys)
              ;; Directly copy emacs-X.Y to emacs, so that it is not wrapped
              ;; twice.  This also fixes a minor issue, where WMs would not be
-             ;; able to track emacs back to emacs.desktop.  The version is
-             ;; accessed using using THIS-PACKAGE so it "just works" for
-             ;; inherited Emacs packages of different versions.
+             ;; able to track emacs back to emacs.desktop.
              (with-directory-excursion (assoc-ref outputs "out")
-               (copy-file (string-append
-                           "bin/emacs-"
-                           ,(let ((this-version (package-version this-package)))
-                              (or (false-if-exception
-                                   (version-major+minor+point this-version))
-                                  (version-major+minor this-version))))
-                          "bin/emacs")
+               (copy-file
+                (car
+                 (find-files
+                  "bin" (file-name-predicate "^emacs-([0-9]+\\.)+[0-9]+$")))
+                "bin/emacs")
                #t)))
          (add-before 'reset-gzip-timestamps 'make-compressed-files-writable
            ;; The 'reset-gzip-timestamps phase will throw a permission error
-- 
2.29.1





Acknowledgement sent to Morgan.J.Smith@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#44249; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 15 Jan 2021 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.